Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoMergeReduce< EOT > Class Template Reference

eoMergeReduce: abstract replacement strategy that is just an application of an embedded merge, followed by an embedded reduce More...

`#include <eoMergeReduce.h>`

Inheritance diagram for eoMergeReduce< EOT >:

List of all members.

## Public Member Functions
| eoMergeReduce (eoMerge< EOT > &_merge, eoReduce< EOT > &_reduce)
void | operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
eoMerge< EOT > & | merge
eoReduce< EOT > & | reduce

## Detailed Description

### template<class EOT>
class eoMergeReduce< EOT >

eoMergeReduce: abstract replacement strategy that is just an application of an embedded merge, followed by an embedded reduce

Definition at line 50 of file eoMergeReduce.h.

The documentation for this class was generated from the following file:

- eoMergeReduce.h